repo sync -j2 pregunta por authentication para GitHub, falla

Así que descargué la fuente OmniROM KitKat y creé un file de manifiesto local con la fuente de mi dispositivo y otras fonts requeridas ( http://github.com/TamsuiCM11 ) Después de ejecutar una repo sync -j2 , todo parece sincronizarse bien, hasta que esto:

 Fetching projects: 99% (425/429) Fetching project platform/external/chromium_org/third_party/openssl ^CUsername for 'https://github.com': NSDCars5 Password for 'https://NSDCars5@github.com': remote: Repository not found. fatal: repository 'https://github.com/TamsuiCM11/android_frameworks_opt_telephony/' not found error: Cannot fetch TamsuiCM11/android_frameworks_opt_telephony aborted by user 

Google dice que use SSH, pero no veo dónde; en repo init ? Usé git: // para eso.

He intentado sincronizar con -j1, -j2, -j4, -j8 y -j16. Cada vez es lo mismo. El sistema es VirtualBox, con Ubuntu 13.10 x64, 4 GB de RAM, sin intercambio, y NAT para networkinges.

EDITAR: El command repo init que utilicé fue repo init -u git://github.com/omnirom/android.git -b android-4.4 , y mi manifiesto local es este:

 <?xml version="1.0" encoding="UTF-8"?> <manifest> <!-- Dependancies --> <project path="device/sony/tamsui-common" name="TamsuiCM11/android_device_sony_tamsui-common" remote="github" revision="cm-11.0" /> <project path="kernel/sony/msm7x27a" name="TamsuiCM11/android_kernel_sony_msm7x27a" remote="github" revision="master" /> <project path="device/sony/qcom-common" name="CyanogenMod/android_device_sony_qcom-common" remote="github" revision="cm-11.0"/> <project path="device/sony/common" name="CyanogenMod/android_device_sony_common" remote="github" revision="cm-11.0"/> <project path="kernel/sony/nanhu_ds" name="TamsuiCM11/android_kernel_sony_msm7x27a-nanhu" remote="github" revision="cm-11.0" /> <!-- Devices --> <project path="device/sony/nanhu_ds" name="TamsuiCM11/android_device_sony_nanhu_ds" remote="github" revision="cm-11.0" /> <!-- Proprietary files --> <project path="vendor/sony" name="TamsuiCM11/proprietary_vendor_sony" remote="github" revision="cm-10.2" /> <!-- Drivers --> <project path="hardware/qcom/display-legacy" name="TamsuiCM11/android_hardware_qcom_display-legacy" remote="github" revision="cm-11-jlo" /> <project path="hardware/qcom/audio-legacy" name="TamsuiCM11/android_hardware_qcom_audio-legacy" remote="github" revision="cm-11.0" /> <project path="hardware/qcom/media-legacy" name="TamsuiCM11/android_hardware_qcom_media-legacy" remote="github" revision="cm-11.0" /> <!-- Forked CM repos --> <project path="system/core" name="TamsuiCM11/android_system_core" groups="pdk" remote="github" revision="stable/cm-11.0" /> <project path="hardware/libhardware_legacy" name="TamsuiCM11/android_hardware_libhardware_legacy" groups="pdk" remote="github" revision="stable/cm-11.0" /> <project path="frameworks/opt/telephony" name="TamsuiCM11/android_frameworks_opt_telephony" groups="pdk" remote="github" revision="stable/cm-11.0" /> </manifest> 

Su manifiesto local le pide a Repo que busque https://github.com/TamsuiCM11/android_frameworks_opt_telephony , pero eso simplemente no es un repository válido. Noto que una confirmación reciente en https://github.com/TamsuiCM11/local_manifest borra la reference a ese git (con un post de confirmación que indica que ya no es necesario), y tal vez el propio git también se eliminó. Te sugiero que actualices tu manifiesto local desde dicho git.

(Noté que su manifiesto local como aparece en la pregunta carece de las tags <remove-project> . Me sorprende que haya podido comenzar a sincronizar con las que faltan, pero esas líneas están incluidas en el manifiesto local anterior que usted en algún momento copydo)